<?xml version="1.0" encoding="UTF-8"?>
<configurationDescriptor version="62">
  <logicalFolder name="root" displayName="root" projectFiles="true">
    <logicalFolder name="HeaderFiles"
                   displayName="Header Files"
                   projectFiles="true">
      <itemPath>Inc/pic32_uart.h</itemPath>
      <itemPath>Inc/main.h</itemPath>
      <itemPath>Inc/led.h</itemPath>
      <itemPath>Inc/state_machine.h</itemPath>
    </logicalFolder>
    <logicalFolder name="LinkerScript"
                   displayName="Linker Files"
                   projectFiles="true">
    </logicalFolder>
    <logicalFolder name="SourceFiles"
                   displayName="Source Files"
                   projectFiles="true">
      <itemPath>main.c</itemPath>
      <itemPath>Src/pic32_uart.c</itemPath>
      <itemPath>Src/led.c</itemPath>
      <itemPath>Src/state_machine.c</itemPath>
    </logicalFolder>
    <logicalFolder name="ExternalFiles"
                   displayName="Important Files"
                   projectFiles="false">
      <itemPath>Makefile</itemPath>
    </logicalFolder>
  </logicalFolder>
  <sourceRootList>
    <Elem>Src</Elem>
    <Elem>Inc</Elem>
  </sourceRootList>
  <projectmakefile>Makefile</projectmakefile>
  <confs>
    <conf name="default" type="2">
      <toolsSet>
        <developmentServer>localhost</developmentServer>
        <targetDevice>PIC32MX470F512H</targetDevice>
        <targetHeader></targetHeader>
        <targetPluginBoard></targetPluginBoard>
        <platformTool>PKOBSKDEPlatformTool</platformTool>
        <languageToolchain>XC32</languageToolchain>
        <languageToolchainVersion>1.42</languageToolchainVersion>
        <platform>3</platform>
      </toolsSet>
      <compileType>
        <linkerTool>
          <linkerLibItems>
          </linkerLibItems>
        </linkerTool>
        <archiverTool>
        </archiverTool>
        <loading>
          <useAlternateLoadableFile>false</useAlternateLoadableFile>
          <parseOnProdLoad>false</parseOnProdLoad>
          <alternateLoadableFile></alternateLoadableFile>
        </loading>
        <subordinates>
        </subordinates>
      </compileType>
      <makeCustomizationType>
        <makeCustomizationPreStepEnabled>false</makeCustomizationPreStepEnabled>
        <makeCustomizationPreStep></makeCustomizationPreStep>
        <makeCustomizationPostStepEnabled>false</makeCustomizationPostStepEnabled>
        <makeCustomizationPostStep></makeCustomizationPostStep>
        <makeCustomizationPutChecksumInUserID>false</makeCustomizationPutChecksumInUserID>
        <makeCustomizationEnableLongLines>false</makeCustomizationEnableLongLines>
        <makeCustomizationNormalizeHexFile>false</makeCustomizationNormalizeHexFile>
      </makeCustomizationType>
      <C32>
        <property key="additional-warnings" value="false"/>
        <property key="addresss-attribute-use" value="false"/>
        <property key="enable-app-io" value="false"/>
        <property key="enable-omit-frame-pointer" value="false"/>
        <property key="enable-symbols" value="true"/>
        <property key="enable-unroll-loops" value="false"/>
        <property key="exclude-floating-point" value="false"/>
        <property key="extra-include-directories" value=""/>
        <property key="generate-16-bit-code" value="false"/>
        <property key="generate-micro-compressed-code" value="false"/>
        <property key="isolate-each-function" value="false"/>
        <property key="make-warnings-into-errors" value="false"/>
        <property key="optimization-level" value=""/>
        <property key="place-data-into-section" value="false"/>
        <property key="post-instruction-scheduling" value="default"/>
        <property key="pre-instruction-scheduling" value="default"/>
        <property key="preprocessor-macros" value="_SUPPRESS_PLIB_WARNING"/>
        <property key="strict-ansi" value="false"/>
        <property key="support-ansi" value="false"/>
        <property key="toplevel-reordering" value=""/>
        <property key="use-cci" value="false"/>
        <property key="use-iar" value="false"/>
        <property key="use-indirect-calls" value="false"/>
      </C32>
      <C32-AR>
        <property key="additional-options-chop-files" value="false"/>
      </C32-AR>
      <C32-AS>
        <property key="assembler-symbols" value=""/>
        <property key="enable-symbols" value="true"/>
        <property key="exclude-floating-point-library" value="false"/>
        <property key="expand-macros" value="false"/>
        <property key="extra-include-directories-for-assembler" value=""/>
        <property key="extra-include-directories-for-preprocessor" value=""/>
        <property key="false-conditionals" value="false"/>
        <property key="generate-16-bit-code" value="false"/>
        <property key="generate-micro-compressed-code" value="false"/>
        <property key="keep-locals" value="false"/>
        <property key="list-assembly" value="false"/>
        <property key="list-source" value="false"/>
        <property key="list-symbols" value="false"/>
        <property key="oXC32asm-list-to-file" value="false"/>
        <property key="omit-debug-dirs" value="false"/>
        <property key="omit-forms" value="false"/>
        <property key="preprocessor-macros" value=""/>
        <property key="warning-level" value=""/>
      </C32-AS>
      <C32-LD>
        <property key="additional-options-use-response-files" value="false"/>
        <property key="allocate-dinit" value="false"/>
        <property key="code-dinit" value="false"/>
        <property key="ebase-addr" value=""/>
        <property key="enable-check-sections" value="false"/>
        <property key="exclude-floating-point-library" value="false"/>
        <property key="exclude-standard-libraries" value="false"/>
        <property key="extra-lib-directories" value=""/>
        <property key="fill-flash-options-addr" value=""/>
        <property key="fill-flash-options-const" value=""/>
        <property key="fill-flash-options-how" value="0"/>
        <property key="fill-flash-options-inc-const" value="1"/>
        <property key="fill-flash-options-increment" value=""/>
        <property key="fill-flash-options-seq" value=""/>
        <property key="fill-flash-options-what" value="0"/>
        <property key="generate-16-bit-code" value="false"/>
        <property key="generate-cross-reference-file" value="false"/>
        <property key="generate-micro-compressed-code" value="false"/>
        <property key="heap-size" value=""/>
        <property key="input-libraries" value=""/>
        <property key="kseg-length" value=""/>
        <property key="kseg-origin" value=""/>
        <property key="linker-symbols" value=""/>
        <property key="map-file" value="${DISTDIR}/${PROJECTNAME}.${IMAGE_TYPE}.map"/>
        <property key="no-startup-files" value="false"/>
        <property key="oXC32ld-extra-opts" value=""/>
        <property key="optimization-level" value=""/>
        <property key="preprocessor-macros" value=""/>
        <property key="remove-unused-sections" value="false"/>
        <property key="report-memory-usage" value="false"/>
        <property key="serial-length" value=""/>
        <property key="serial-origin" value=""/>
        <property key="stack-size" value=""/>
        <property key="symbol-stripping" value=""/>
        <property key="trace-symbols" value=""/>
        <property key="warn-section-align" value="false"/>
      </C32-LD>
      <C32CPP>
        <property key="additional-warnings" value="false"/>
        <property key="addresss-attribute-use" value="false"/>
        <property key="check-new" value="false"/>
        <property key="eh-specs" value="true"/>
        <property key="enable-app-io" value="false"/>
        <property key="enable-omit-frame-pointer" value="false"/>
        <property key="enable-symbols" value="true"/>
        <property key="enable-unroll-loops" value="false"/>
        <property key="exceptions" value="true"/>
        <property key="exclude-floating-point" value="false"/>
        <property key="extra-include-directories" value=""/>
        <property key="generate-16-bit-code" value="false"/>
        <property key="generate-micro-compressed-code" value="false"/>
        <property key="isolate-each-function" value="false"/>
        <property key="make-warnings-into-errors" value="false"/>
        <property key="optimization-level" value=""/>
        <property key="place-data-into-section" value="false"/>
        <property key="post-instruction-scheduling" value="default"/>
        <property key="pre-instruction-scheduling" value="default"/>
        <property key="preprocessor-macros" value="_SUPPRESS_PLIB_WARNING"/>
        <property key="rtti" value="true"/>
        <property key="strict-ansi" value="false"/>
        <property key="toplevel-reordering" value=""/>
        <property key="use-cci" value="false"/>
        <property key="use-iar" value="false"/>
        <property key="use-indirect-calls" value="false"/>
      </C32CPP>
      <C32Global>
        <property key="common-include-directories" value=""/>
        <property key="gp-relative-option" value=""/>
        <property key="legacy-libc" value="false"/>
        <property key="relaxed-math" value="false"/>
        <property key="save-temps" value="false"/>
        <property key="wpo-lto" value="false"/>
      </C32Global>
      <PKOBSKDEPlatformTool>
        <property key="AutoSelectMemRanges" value="auto"/>
        <property key="SecureSegment.SegmentProgramming" value="FullChipProgramming"/>
        <property key="ToolFirmwareFilePath"
                  value="Press to browse for a specific firmware version"/>
        <property key="ToolFirmwareOption.UseLatestFirmware" value="true"/>
        <property key="firmware.download.all" value="false"/>
        <property key="memories.configurationmemory" value="true"/>
        <property key="memories.dataflash" value="true"/>
        <property key="memories.eeprom" value="true"/>
        <property key="memories.id" value="true"/>
        <property key="memories.programmemory" value="true"/>
        <property key="memories.programmemory.ranges" value="1d000000-1d07ffff"/>
        <property key="memories.userotp" value="true"/>
        <property key="programoptions.donoteraseauxmem" value="false"/>
        <property key="programoptions.eraseb4program" value="true"/>
        <property key="programoptions.preservedataflash" value="false"/>
        <property key="programoptions.preservedataflash.ranges" value=""/>
        <property key="programoptions.preserveeeprom" value="false"/>
        <property key="programoptions.preserveeeprom.ranges" value=""/>
        <property key="programoptions.preserveprogram.ranges" value=""/>
        <property key="programoptions.preserveprogramrange" value="false"/>
        <property key="programoptions.usehighvoltageonmclr" value="false"/>
        <property key="programoptions.uselvpprogramming" value="true"/>
      </PKOBSKDEPlatformTool>
    </conf>
  </confs>
</configurationDescriptor>
